Curosa
Supplier Portal API Reference New

Core resources

Orders

Retrieve customer orders associated with your supplier account

Overview

Use the Orders endpoint to retrieve customer orders for your supplier account. For fulfilment operations, use the Shipments endpoints to identify and process items ready for dispatch.

Authentication

This endpoint requires authentication. Include your API token in the Authorization header. For more information on obtaining a token, see the Authentication guide.

List Orders

Retrieve a list of orders.

Endpoint: GET https://curosa.com/api/v1/orders

Request

curl --location 'https://curosa.com/api/v1/orders' \
--header 'Authorization: Bearer YOUR_API_TOKEN'
  • Use Shipments to retrieve shipments and update fulfilment status.

Rate Limiting

Orders endpoints are rate limited to 3,600 requests per hour. The current limit and remaining requests are returned in the response headers as x-ratelimit-limit and x-ratelimit-remaining.